<?php
  
header('Content-type: text/html; charset=UTF-8');

define("MAINLIBS", "../../../libs/");
define("MAINDAO", "../../../dao/");
define("DAO", "../dao/");
define("CLASSES", "../classes/");

require_once '../../../cfg/param.php';	// Config file
require_once MAINLIBS.'functions.php';
require_once MAINDAO.'dao.php';

$dbconnector = null;
$dbconnector = validdb_connect($cfg_database_driver,$cfg_host,$cfg_port,$cfg_database_squash,$cfg_user,$cfg_password); // Our own method to switch between PDO and the old mysql_connect depending on the PHP version used

//Disabling magic_quotes
disable_magic_quotes();

$id_node="";
$section="";
if(isset($_GET['id_node']) && $_GET['id_node'] != "") $id_node=$_GET['id_node'];
if(isset($_GET['section']) && $_GET['section'] != "") $section=$_GET['section'];

function printEnfants($noeud)
{
	global $section;
	$retour="";
	$requete="";
	switch($section)
	{
		case "test-case-workspace" :
			$requete = "SELECT NAME,TCLN_ID as ID FROM squash.test_case_library_node as tcln, squash.tcln_relationship as tclnr WHERE tclnr.ANCESTOR_ID = '".$noeud."' AND tclnr.DESCENDANT_ID=tcln.TCLN_ID AND tcln.TCLN_ID NOT IN (SELECT TCLN_ID FROM squash.test_case);";
		break;
		case "requirement-workspace" :
			$requete = "SELECT NAME,RLN_ID as ID FROM squash.requirement_library_node as rln, squash.rln_relationship as rlnr WHERE rlnr.ANCESTOR_ID = '".$noeud."' AND rlnr.DESCENDANT_ID=rln.RLN_ID AND rln.RLN_ID NOT IN (SELECT RLN_ID FROM squash.requirement);";
		case "campaign-workspace" :
			$requete = "SELECT NAME,CLN_ID as ID FROM squash.campaign_library_node as cln, squash.cln_relationship as crlnr WHERE crlnr.ANCESTOR_ID = '".$noeud."' AND crlnr.DESCENDANT_ID=cln.CLN_ID AND cln.CLN_ID NOT IN (SELECT CLN_ID FROM squash.campaign);";
		break;
	}
	$data = validdb_selectAll($requete); //our own method returning all data in an array
	if(sizeOf($data)>0) $retour .= '<ul>';
    for($i=0;$i<sizeOf($data);$i++)
    {
		$tempData = $data[$i];
		$tempRetour = printEnfants($tempData["ID"]);
		$retour .= '<li milestone-creatable-deletable="true" milestone-editable="true" exportable="true" editable="true"';
		$retour .= ' restype="';
				switch($section)
		{
			case "test-case-workspace" :
				$retour .= 'test-case-folders';
			break;
			case "requirement-workspace" :
				$retour .='requirement-folders';;
			case "campaign-workspace" :
				$retour .='campaign-folders';
			break;
		}
		$retour .= '" deletable="true" name="'.$tempData["NAME"].'" rel="folder" creatable="true" id="';
		switch($section)
		{
			case "test-case-workspace" :
				$retour .= 'TestCaseFolder-';
			break;
			case "requirement-workspace" :
				$retour .='RequirementFolder-';;
			case "campaign-workspace" :
				$retour .='CampaignFolder-';
			break;
		}
		$retour .= $tempData["ID"].'" resid="'.$tempData["ID"].'" executable="true" class="';
		if($tempRetour != "") $retour .= 'jstree-open'; else $retour .= 'jstree-closed';
		$retour .= '"><ins class="jstree-icon">&nbsp;</ins><a href="#" class=""><ins class="jstree-icon">&nbsp;</ins>'.$tempData["NAME"].'</a>';
		$retour .= $tempRetour.'</li>';
	}
	if(sizeOf($data)>0) $retour .= '</ul>';
	return $retour;
}

echo printEnfants($id_node);
?>